Loading...
Searching...
No Matches
SOn.h File Reference

N*N matrix representation of SO(N). More...

Go to the source code of this file.

## Classes

class | gtsam::SO< N >
| Manifold of special orthogonal rotation matrices SO<N>. More...
struct | gtsam::SO< N >::ChartAtOrigin
struct | gtsam::traits< SO< N > >
struct | gtsam::traits< const SO< N > >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::SOn = SO<Eigen::Dynamic>
using | gtsam::DynamicJacobian = OptionalJacobian<Eigen::Dynamic, Eigen::Dynamic>

## Functions

constexpr int | gtsam::internal::DimensionSO (int N)
| Calculate dimensionality of SO<N> manifold, or return Dynamic if so.
constexpr int | gtsam::internal::NSquaredSO (int N)
template<class Archive>
void | gtsam::serialize (Archive &ar, SOn &Q, const unsigned int file_version)
| Serialization function.

## Detailed Description

N*N matrix representation of SO(N).

N can be Eigen::Dynamic

Author
  Frank Dellaert

Date
  March 2019